JaxbEmbeddable (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.orm
Class JaxbEmbeddable

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbEmbeddable

    public class JaxbEmbeddable

extends Object

Defines the settings and mappings for embeddable objects. Is allowed to be sparsely populated and used in conjunction with the annotations. Alternatively, the metadata-complete attribute can be used to indicate that no annotations are to be processed in the class. If this is the case then the defaulting rules will be recursively applied.

Field Summary
`protected JaxbAccessType` | `access`
`protected JaxbEmbeddableAttributes` | `attributes`
`protected String` | `clazz`
`protected String` | `description`
`protected Boolean` | `metadataComplete`

Constructor Summary
`JaxbEmbeddable()`

Method Summary
`JaxbAccessType` | `getAccess()` Gets the value of the access property.
`JaxbEmbeddableAttributes` | `getAttributes()` Gets the value of the attributes property.
`String` | `getClazz()` Gets the value of the clazz property.
`String` | `getDescription()` Gets the value of the description property.
`Boolean` | `isMetadataComplete()` Gets the value of the metadataComplete property.
`void` | `setAccess(JaxbAccessType value)` Sets the value of the access property.
`void` | `setAttributes(JaxbEmbeddableAttributes value)` Sets the value of the attributes property.
`void` | `setClazz(String value)` Sets the value of the clazz property.
`void` | `setDescription(String value)` Sets the value of the description property.
`void` | `setMetadataComplete(Boolean value)` Sets the value of the metadataComplete property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### description

    protected String description

### attributes

    protected JaxbEmbeddableAttributes attributes

### clazz

    protected String clazz

### access

    protected JaxbAccessType access

### metadataComplete

    protected Boolean metadataComplete

Constructor Detail

### JaxbEmbeddable

    public JaxbEmbeddable()

Method Detail

### getDescription

    public String getDescription()

  Gets the value of the description property.

  Returns:
    possible object is `String`

### setDescription

    public void setDescription(String value)

  Sets the value of the description property.

  Parameters:
    `value` - allowed object is `String`

### getAttributes

    public JaxbEmbeddableAttributes getAttributes()

  Gets the value of the attributes property.

  Returns:
    possible object is `JaxbEmbeddableAttributes`

### setAttributes

    public void setAttributes(JaxbEmbeddableAttributes value)

  Sets the value of the attributes property.

  Parameters:
    `value` - allowed object is `JaxbEmbeddableAttributes`

### getClazz

    public String getClazz()

  Gets the value of the clazz property.

  Returns:
    possible object is `String`

### setClazz

    public void setClazz(String value)

  Sets the value of the clazz property.

  Parameters:
    `value` - allowed object is `String`

### getAccess

    public JaxbAccessType getAccess()

  Gets the value of the access property.

  Returns:
    possible object is `JaxbAccessType`

### setAccess

    public void setAccess(JaxbAccessType value)

  Sets the value of the access property.

  Parameters:
    `value` - allowed object is `JaxbAccessType`

### isMetadataComplete

    public Boolean isMetadataComplete()

  Gets the value of the metadataComplete property.

  Returns:
    possible object is `Boolean`

### setMetadataComplete

    public void setMetadataComplete(Boolean value)

  Sets the value of the metadataComplete property.

  Parameters:
    `value` - allowed object is `Boolean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.